lsp-2.2.0.0: Haskell library for the Microsoft Language Server Protocol

Safe Haskell | Safe-Inferred
Language | Haskell2010

Language.LSP.Diagnostics

Contents

- for tests

Synopsis

- type DiagnosticStore = HashMap NormalizedUri StoreItem
- type DiagnosticsBySource = Map (Maybe Text) (SortedList Diagnostic)
- data StoreItem = StoreItem (Maybe Int32) DiagnosticsBySource
- partitionBySource :: [Diagnostic] -> DiagnosticsBySource
- flushBySource :: DiagnosticStore -> Maybe Text -> DiagnosticStore
- updateDiagnostics :: DiagnosticStore -> NormalizedUri -> Maybe Int32 -> DiagnosticsBySource -> DiagnosticStore
- getDiagnosticParamsFor :: Int -> DiagnosticStore -> NormalizedUri -> Maybe PublishDiagnosticsParams

# Documentation

type DiagnosticStore = HashMap NormalizedUri StoreItem #

type DiagnosticsBySource = Map (Maybe Text) (SortedList Diagnostic) #

data StoreItem #

Constructors

StoreItem (Maybe Int32) DiagnosticsBySource |

#### Instances

Instances details

Show StoreItem # |
Instance details Defined in Language.LSP.Diagnostics Methods showsPrec :: Int -> StoreItem -> ShowS show :: StoreItem -> String showList :: [StoreItem] -> ShowS
Eq StoreItem # |
Instance details Defined in Language.LSP.Diagnostics Methods (==) :: StoreItem -> StoreItem -> Bool (/=) :: StoreItem -> StoreItem -> Bool

partitionBySource :: [Diagnostic] -> DiagnosticsBySource #

flushBySource :: DiagnosticStore -> Maybe Text -> DiagnosticStore #

updateDiagnostics :: DiagnosticStore -> NormalizedUri -> Maybe Int32 -> DiagnosticsBySource -> DiagnosticStore #

getDiagnosticParamsFor :: Int -> DiagnosticStore -> NormalizedUri -> Maybe PublishDiagnosticsParams #

# for tests